package cd.casic.ci.common.pipeline.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.enums
 * @Project：ops-pro
 * @name：PipelineStorageType
 * @Date：2025/03/25 17:13
 * @Filename：PipelineStorageType
 * @description：Todo
 */
@Getter
@AllArgsConstructor
public enum PipelineStorageType {
    YAML("YAML编排", ".yaml"),
    MODEL("JSON编排", ".json");

    private final String desc;
    private final String fileSuffix;

    public static PipelineStorageType getActionType(String type) {
        return "YAML".equals(type) ? YAML : MODEL;
    }
}
