package cd.casic.pipeline.environment.pojo.thirdpartyagent;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Date;
/**
 * @author by mianbin
 * @Classname AgentBuildDetail
 * @Description TODO
 * @Date 2025/4/8 21:13
 */

@Data
public class AgentBuildDetail {
    @Schema(title = "节点 Hash ID", required = true)
    private String nodeId;
    @Schema(title = "Agent Hash ID", required = true)
    private String agentId;
    @Schema(title = "项目ID", required = true)
    private String projectId;
    @Schema(title = "流水线ID", required = true)
    private String pipelineId;
    @Schema(title = "流水线名称", required = true)
    private String pipelineName;
    @Schema(title = "构建ID", required = true)
    private String buildId;
    @Schema(title = "构建号", required = true)
    private int buildNumber;
    @Schema(title = "VM_SET_ID", required = true)
    private String vmSetId;
    @Schema(title = "构建任务名称", required = true)
    private String taskName;
    @Schema(title = "状态", required = true)
    private String status;
    @Schema(title = "创建时间", required = true)
    private Date createdTime;
    @Schema(title = "更新时间", required = true)
    private Date updatedTime;
    @Schema(title = "工作空间", required = true)
    private String workspace;
    @Schema(title = "agent任务", required = false)
    private AgentTask agentTask;
}
