package cd.casic.ci.log.dal.pojo.message;

import cd.casic.ci.log.dal.pojo.enums.LogType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @author by mianbin
 * @Classname LogMessageWithLineNo
 * @Date 2025/3/19 17:14
 */
@Data
@Schema(title = "带行号的日志消息")
@AllArgsConstructor
public class LogMessageWithLineNo {
    String tag;
    String containerHashId = "";
    String subTag;
    String message;
    Long timestamp = 0L;
    LogType logType = LogType.LOG;
    Long lineNo = 0L;
    Integer executeCount = 1;
    String jobId;
    String stepId;
}
