package cd.casic.ci.process.api.process.pojo.audit;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.audit
 * @Project：ops-pro
 * @name：AuditInfo
 * @Date：2025/03/24 19:41
 * @Filename：AuditInfo
 * @description：Todo
 */
@Data
@Schema(title = "审计模型-Audit")
@AllArgsConstructor
public class AuditInfo {
    @Schema(title = "状态", required = true)
    private String status;
    @Schema(title = "资源类型", required = true)
    private String resourceType;
    @Schema(title = "资源ID", required = true)
    private String resourceId;
    @Schema(title = "资源名称", required = true)
    private String resourceName;
    @Schema(title = "操作人", required = true)
    private String userId;
    @Schema(title = "操作时间", required = true)
    private Long updatedTime;
    @Schema(title = "操作", required = true)
    private String action;
    @Schema(title = "操作内容", required = true)
    private String actionContent;
}
