package cd.casic.ci.project.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Schema(title = "项目基本信息")
public class ProjectBaseInfo {

    @Schema(title = "主键ID")
    private Long id;

    @Schema(title = "英文缩写")
    private String englishName;

    @Schema(title = "项目名称")
    private String projectName;

    @Schema(title = "是否启用")
    private Boolean enabled;
}