package cd.casic.pipeline.store.pojo.common;

import cd.casic.pipeline.store.pojo.common.enums.StoreTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "工作台-组件下线请求报文体")
public class StoreOfflineRequest {
    @Schema(title = "store组件代码", required = true)
    private String storeCode;
    @Schema(title = "store组件类型", required = true)
    private StoreTypeEnum storeType;
    @Schema(title = "下架原因")
    private String reason;
    @Schema(title = "版本号")
    private String version;

}
