package cd.casic.pipeline.store.pojo.common;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Map;

@Data
@Schema(title = "组件参数信息")
public class StoreParam {
    @Schema(title = "组件代码", required = true)
    private String storeCode;
    
    @Schema(title = "组件名称", required = true)
    private String storeName;
    
    @Schema(title = "版本号", required = true)
    private String version;
    
    @Schema(title = "输入参数", required = false)
    private Map<String, Object> inputParam;
}