package cd.casic.pipeline.store.pojo.common.enums;

public enum ApiLevelEnum {
    NORMAL, // 普通
    SENSITIVE; // 敏感

    public static ApiLevelEnum valueOfName(String name) {
        if (name == null) return null;
        switch (name) {
            case "NORMAL": return NORMAL;
            case "SENSITIVE": return SENSITIVE;
            default: return null;
        }
    }
}