package cd.casic.pipeline.store.pojo.common.handler;


import cn.hutool.core.util.IdUtil;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

@Data
public class HandlerRequest {
    private String requestId;
    private Map<String, Object> bkStoreContext;

    public HandlerRequest() {
        this(IdUtil.fastUUID(), new HashMap<>());
    }

    public HandlerRequest(String requestId, Map<String, Object> bkStoreContext) {
        this.requestId = requestId;
        this.bkStoreContext = bkStoreContext;
    }
}