package cd.casic.pipeline.store.pojo.image.request;

import cd.casic.ci.common.pipeline.type.docker.ImageType;
import cd.casic.pipeline.store.pojo.common.enums.ReleaseTypeEnum;
import cd.casic.pipeline.store.pojo.image.enums.ImageAgentTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class MarketImageUpdateRequest {
    @Schema(title = "镜像名称", required = true)
    private String imageName;
    
    @Schema(title = "镜像代码", required = true)
    private String imageCode;
    
    @Schema(title = "镜像类型", required = true)
    private ImageType imageType;
    
    @Schema(title = "发布类型", required = true)
    private ReleaseTypeEnum releaseType;
    
    @Schema(title = "镜像代理类型", required = true)
    private ImageAgentTypeEnum agentType;
}