package cd.casic.ci.ticket.dal.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：mianbin
 * @Package：cd.casic.pipeline.dal.pojo
 * @Project：ops-pro
 * @name：CredentialPermissions
 * @Date：2025/03/22 15:25
 * @Filename：CredentialPermissions
 */
@Data
@Schema(title = "凭证-凭证权限")
@AllArgsConstructor
@NoArgsConstructor
public class CredentialPermissions {
    @Schema(title = "删除权限", required = true)
    private boolean delete;
    @Schema(title = "查看权限", required = true)
    private boolean view;
    @Schema(title = "编辑权限", required = true)
    private boolean edit;
    @Schema(title = "使用权限", required = true)
    private Boolean use;
}
