package cd.casic.ci.common.pipeline.constant;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.api.constant
 * @Project：ops-pro
 * @name：StringConstant
 * @Date：2025/03/26 18:26
 * @Filename：StringConstant
 * @description：Todo
 */
public class StringConstant {
    public static String coerceAtMaxLength(String str, int maxLength) {
        if (str.length() > maxLength) {
            return str.substring(0, maxLength);
        }
        return str;
    }

    public static String appendIfNotEmpty(String str, String suffix, String separator) {
        if (suffix != null && !suffix.isEmpty()) {
            return str + separator + suffix;
        }
        return str;
    }

    public static String appendIfNotEmpty(String str, String suffix) {
        return appendIfNotEmpty(str, suffix, ".");
    }
}
