package cd.casic.ci.process.api.process.pojo.pipeline;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname PipelineRule
 * @Description TODO
 * @Date 2025/3/31 17:44
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(title = "流水线规则")
public class PipelineRule {
    @Schema(title = "规则名称", required = true)
    private String ruleName;
    @Schema(title = "业务标识", required = true)
    private String busCode;
    @Schema(title = "处理器", required = true)
    private String processor;
}
