package cd.casic.ci.process.api.process.utils;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.process.api.process.utils
 * @Project：ops-pro
 * @name：Constants
 * @Date：2025/03/27 11:09
 * @Filename：Constants
 */
public class Constants {
    public static final String PIPELINE_VERSION = "BK_CI_PIPELINE_VERSION";
    public static final String PIPELINE_START_PARENT_PROJECT_ID = "BK_CI_PARENT_PROJECT_ID";
    public static final String PIPELINE_START_PARENT_PIPELINE_ID = "BK_CI_PARENT_PIPELINE_ID";
    public static final String PIPELINE_START_PARENT_PIPELINE_NAME = "BK_CI_PARENT_PIPELINE_NAME";
    public static final String PIPELINE_START_PARENT_BUILD_ID = "BK_CI_PARENT_BUILD_ID";
    public static final String PIPELINE_START_PARENT_BUILD_NUM = "BK_CI_PARENT_BUILD_NUM";
    public static final String PIPELINE_START_PARENT_BUILD_TASK_ID = "BK_CI_PARENT_BUILD_TASK_ID";
    public static final String PIPELINE_START_PARENT_EXECUTE_COUNT = "BK_CI_PARENT_EXECUTE_COUNT";
    public static final String PIPELINE_START_USER_ID = "BK_CI_START_USER_ID";
    public static final String PIPELINE_START_USER_NAME = "BK_CI_START_USER_NAME";
    public static final String PIPELINE_START_WEBHOOK_USER_ID = "BK_CI_START_WEBHOOK_USER_ID";
    public static final String PIPELINE_START_PIPELINE_USER_ID = "BK_CI_START_PIPELINE_USER_ID";
    public static final String PIPELINE_START_SERVICE_USER_ID = "BK_CI_START_SERVICE_USER_ID";
    public static final String PIPELINE_START_MANUAL_USER_ID = "BK_CI_START_MANUAL_USER_ID";
    public static final String PIPELINE_START_TIME_TRIGGER_USER_ID = "BK_CI_START_TIME_TRIGGER_USER_ID";
    public static final String PIPELINE_START_REMOTE_USER_ID = "BK_CI_START_REMOTE_USER_ID";
    public static final String PIPELINE_START_REMOTE_CLIENT_IP = "BK_CI_START_REMOTE_CLIENT_IP";
    public static final String PIPELINE_START_TYPE = "BK_CI_START_TYPE";
    public static final String PIPELINE_START_CHANNEL = "BK_CI_START_CHANNEL";
    public static final String PIPELINE_BUILD_NUM = "BK_CI_BUILD_NUM";
    public static final String PIPELINE_BUILD_LAST_UPDATE = "BK_CI_BUILD_LAST_UPDATE";
    public static final String PIPELINE_BUILD_SVN_REVISION = "BK_CI_BUILD_SVN_REVISION";
    public static final String PIPELINE_BUILD_NUM_ALIAS = "BK_CI_BUILD_NUM_ALIAS";
    public static final String PIPELINE_BUILD_URL = "BK_CI_BUILD_URL";
    public static final String PIPELINE_TIMER_DISABLE = "BK_CI_TIMER_DISABLE";
    public static final String PIPELINE_START_SUB_RUN_MODE = "BK_CI_SUB_PIPELINE_RUN_MODE";

    public static final String GIT_MR_NUMBER = "BK_CI_GIT_MR_NUMBER";
    public static final String GITHUB_PR_NUMBER = "BK_CI_GITHUB_PR_NUMBER";

    public static final String PIPELINE_NAME = "BK_CI_PIPELINE_NAME";
    public static final String PIPELINE_ID = "BK_CI_PIPELINE_ID";
    public static final String WORKSPACE = "WORKSPACE";

    public static final String PIPELINE_TIME_DURATION = "BK_CI_BUILD_TOTAL_TIME";

    public static final String PIPELINE_BUILD_ID = "BK_CI_BUILD_ID";
    public static final String PIPELINE_VMSEQ_ID = "BK_CI_BUILD_JOB_ID";
    public static final String PIPELINE_ELEMENT_ID = "BK_CI_BUILD_TASK_ID";
    public static final String PIPELINE_TURBO_TASK_ID = "BK_CI_TURBO_ID";
    public static final String PROJECT_NAME = "BK_CI_PROJECT_NAME";
    public static final String REPORT_DYNAMIC_ROOT_URL = "BK_CI_REPORT_DYNAMIC_ROOT_URL";

    public static final String PROJECT_NAME_CHINESE = "BK_CI_PROJECT_NAME_CN";

    public static final String PIPELINE_START_MOBILE = "BK_CI_IS_MOBILE";

    public static final String PIPELINE_START_TASK_ID = "BK_CI_START_TASK_ID";
    public static final String PIPELINE_RETRY_COUNT = "BK_CI_RETRY_COUNT";
    public static final String PIPELINE_RETRY_BUILD_ID = "BK_CI_RETRY_BUILD_ID";
    public static final String PIPELINE_RETRY_START_TASK_ID = "BK_CI_RETRY_TASK_ID";
    public static final String PIPELINE_RETRY_ALL_FAILED_CONTAINER = "BK_CI_RETRY_ALL_FAILED_CONTAINER";
    public static final String PIPELINE_SKIP_FAILED_TASK = "BK_CI_SKIP_FAILED_TASK";

    public static final String BK_CI_BUILD_FAIL_TASKS = "BK_CI_BUILD_FAIL_TASKS";
    public static final String BK_CI_BUILD_FAIL_TASKNAMES = "BK_CI_BUILD_FAIL_TASKNAMES";

    public static final String PIPELINE_VIEW_MY_PIPELINES = "myPipeline";
    public static final String PIPELINE_VIEW_MY_LIST_PIPELINES = "myListPipeline";
    public static final String PIPELINE_VIEW_FAVORITE_PIPELINES = "collect";
    public static final String PIPELINE_VIEW_ALL_PIPELINES = "allPipeline";
    public static final String PIPELINE_VIEW_UNCLASSIFIED = "unclassified";
    public static final String PIPELINE_VIEW_RECENT_USE = "recentUse";

    public static final String PIPELINE_MATERIAL_URL = "BK_CI_PIEPLEINE_MATERIAL_URL";
    public static final String PIPELINE_MATERIAL_BRANCHNAME = "BK_CI_PIPELINE_MATERIAL_BRANCHNAME";
    public static final String PIPELINE_MATERIAL_ALIASNAME = "BK_CI_PIPELINE_MATERIAL_ALIASNAME";
    public static final String PIPELINE_MATERIAL_NEW_COMMIT_ID = "BK_CI_PIPELINE_MATERIAL_NEW_COMMIT_ID";
    public static final String PIPELINE_MATERIAL_NEW_COMMIT_COMMENT = "BK_CI_PIPELINE_MATERIAL_NEW_COMMIT_COMMENT";
    public static final String PIPELINE_MATERIAL_NEW_COMMIT_TIMES = "BK_CI_PIPELINE_MATERIAL_NEW_COMMIT_TIMES";

    public static final String MAJORVERSION = "BK_CI_MAJOR_VERSION";
    public static final String MINORVERSION = "BK_CI_MINOR_VERSION";
    public static final String FIXVERSION = "BK_CI_FIX_VERSION";
    public static final String BUILD_NO = "BK_CI_BUILD_NO";
    public static final String BUILD_STATUS = "BK_CI_BUILD_STATUS";
    public static final String BK_DOCKER_TARGE_IMAGE_TAG = "BK_DOCKER_TARGE_IMAGE_TAG";
    public static final String BK_DOCKER_TARGE_IMAGE_NAME = "BK_DOCKER_TARGE_IMAGE_NAME";

    public static final String JOB_RETRY_TASK_ID = "job.retry_task_id";

    public static final String PIPELINE_CREATE_USER = "BK_CI_PIPELINE_CREATE_USER";
    public static final String PIPELINE_UPDATE_USER = "BK_CI_PIPELINE_UPDATE_USER";
    public static final String PIPELINE_BUILD_REMARK = "BK_CI_BUILD_REMARK";
    public static final String PIPELINE_ATOM_NAME = "BK_CI_ATOM_NAME";
    public static final String PIPELINE_ATOM_CODE = "BK_CI_ATOM_CODE";
    public static final String PIPELINE_ATOM_VERSION = "BK_CI_ATOM_VERSION";
    public static final String PIPELINE_TASK_NAME = "BK_CI_TASK_NAME";
    public static final String PIPELINE_STEP_ID = "BK_CI_STEP_ID";
    public static final String PIPELINE_ATOM_TIMEOUT = "BK_CI_ATOM_TIMEOUT";
    public static final String PIPELINE_DIALECT = "BK_CI_PIPELINE_DIALECT";

    public static final String BK_CI_MATERIAL_ID = "BK_CI_MATERIAL_ID";
    public static final String BK_CI_MATERIAL_NAME = "BK_CI_MATERIAL_NAME";
    public static final String BK_CI_MATERIAL_URL = "BK_CI_MATERIAL_URL";

    public static final String BK_CI_AUTHORIZER = "BK_CI_AUTHORIZER";

    public static final int PIPELINE_SETTING_MAX_QUEUE_SIZE_DEFAULT = 10;
    public static final int TASK_FAIL_RETRY_MAX_COUNT = 5;
    public static final int TASK_FAIL_RETRY_MIN_COUNT = 1;
    public static final int PIPELINE_SETTING_MAX_QUEUE_SIZE_MIN = 0;
    public static final int PIPELINE_SETTING_MAX_QUEUE_SIZE_MAX = 200;
    public static final int PIPELINE_SETTING_MAX_CON_QUEUE_SIZE_DEFAULT = 50;
    public static final int PIPELINE_SETTING_MAX_CON_QUEUE_SIZE_MAX = 200;
    public static final int PIPELINE_SETTING_WAIT_QUEUE_TIME_MINUTE_DEFAULT = 1;
    public static final int PIPELINE_SETTING_WAIT_QUEUE_TIME_MINUTE_MIN = 1;
    public static final int PIPELINE_SETTING_WAIT_QUEUE_TIME_MINUTE_MAX = 1440;
    public static final int PIPELINE_TASK_MESSAGE_STRING_LENGTH_MAX = 4000;
    public static final int PIPELINE_MESSAGE_STRING_LENGTH_MAX = 30000;
    public static final int PIPELINE_CON_RUNNING_CONTAINER_SIZE_MAX = 30;
    public static final int PIPELINE_MATRIX_MAX_CON_RUNNING_SIZE_DEFAULT = 5;
    public static final int PIPELINE_MATRIX_CON_RUNNING_SIZE_MAX = 20;
    public static final int PIPELINE_STAGE_CONTAINERS_COUNT_MAX = 256;
    public static final int PIPELINE_CONDITION_EXPRESSION_LENGTH_MAX = 512;
    public static final int PIPELINE_VARIABLES_STRING_LENGTH_MAX = 4000;

    public static final String PIPELINE_TIME_START = "CI_BUILD_START_TIME";
    public static final String PIPELINE_TIME_END = "CI_BUILD_END_TIME";
    public static final String PIPELINE_BUILD_MSG = "CI_BUILD_MSG";

    public static final int PIPELINE_RES_NUM_MIN = 50;

    public static final String KEY_PIPELINE_ID = "pipelineId";
    public static final String KEY_PIPELINE_NAME = "pipelineName";
    public static final String KEY_PROJECT_ID = "projectId";
    public static final String KEY_TEMPLATE_ID = "templateId";
    public static final String KEY_STAGE = "stage";
    public static final String KEY_JOB = "job";
    public static final String KEY_TASK = "task";
    public static final String KEY_TASK_ATOM = "taskAtom";
}
