package cd.casic.ci.process.engine.constant;

import lombok.Data;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName CommonConstant
 * @Date: 2025/5/22 9:58
 * @Description:
 */
public interface CommonConstant {
    /**
     * id
     */
    String ID = "id";

    /**
     * 名称
     */
    String NAME = "name";

    /**
     * 编码
     */
    String CODE = "code";

    /**
     * 值
     */
    String VALUE = "value";

    /**
     * 默认标识状态的字段名称
     */
    String STATUS = "status";

    /**
     * 默认逻辑删除的状态值
     */
    String DEFAULT_LOGIC_DELETE_VALUE = "2";

    /**
     * 用户代理
     */
    String USER_AGENT = "User-Agent";

    /**
     * 请求头token表示
     */
    String AUTHORIZATION = "Authorization";

    /**
     * token名称
     */
    String TOKEN_NAME = "token";

    /**
     * token类型
     */
    String TOKEN_TYPE_BEARER = "Bearer";

    /**
     * 首页提示语
     */
    String INDEX_TIPS = "Welcome To Ops";

    /**
     * 未知标识
     */
    String UNKNOWN = "Unknown";

    /**
     * 默认包名
     */
    String DEFAULT_PACKAGE_NAME = "cd.casic";

    /**
     * 默认密码
     */
    String DEFAULT_PASSWORD = "123456";

    /**
     * 请求号在header中的唯一标识
     */
    String REQUEST_NO_HEADER_NAME = "Request-No";

    /**
     * 数据库链接URL标识
     */
    String DATABASE_URL_NAME = "DATABASE_URL_NAME";

    /**
     * 数据库链接驱动标识
     */
    String DATABASE_DRIVER_NAME = "DATABASE_DRIVER_NAME";

    /**
     * 数据库用户标识
     */
    String DATABASE_USER_NAME = "DATABASE_USER_NAME";

    /**
     * 点选验证码
     */
    String IMAGE_CODE_TYPE = "clickWord";

    /**
     * undefined未知
     */
    String UNDEFINED = "undefined";

    /**
     * 数据库配置文件地址
     */
    String DB_PROPERTIES_PATH = "resources/db.properties";
    /**
     * resources路径
     */
    String RESOURCES_DIR = "resources";

    /**
     * 开发资源路径
     */
    String DEV_RESOURCES_PATH = "classpath:";
    /* integration*/
    String VERSION_TYPE_INTEGRATION = "integrationTest";
    /* 單元測試 */
    String VERSION_TYPE_UNIT = "unitTest";
    String VERSION_TYPE_STATIC = "staticTest";
    String TASK4_TEST_TYPE = "task4";
    String SONAR_TEST_TYPE = "sonarqube";
}
