package cd.casic.pipeline.store.pojo.atom;

import cd.casic.ci.log.scm.dal.pojo.enums.VisibilityLevelEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.ArrayList;

@Data
@Schema(title = "流水线-插件基本信息修改请求报文体")
public class AtomBaseInfoUpdateRequest {
    @Schema(title = "插件名称", required = false)
    private String name;
    @Schema(title = "所属分类代码", required = false)
    private String classifyCode;
    @Schema(title = "插件简介", required = false)
    private String summary;
    @Schema(title = "插件描述", required = false)
    private String description;
    @Schema(title = "插件logo", required = false)
    private String logoUrl;
    @Schema(title = "发布者", required = false)
    private String publisher;
    @Schema(title = "原子标签列表", required = false)
    private ArrayList<String> labelIdList;
    @Schema(title = "项目可视范围", required = false)
    private VisibilityLevelEnum visibilityLevel;
    @Schema(title = "插件代码库不开源原因", required = false)
    private String privateReason;
}