package cd.casic.server.controller;

import cd.casic.ci.process.process.dataObject.machine.MachineInfo;
import cd.casic.ci.process.process.service.machine.MachineInfoService;
import cd.casic.framework.commons.pojo.CommonResult;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/machineInfo")
public class MachineController {
    @Resource
    private MachineInfoService machineInfoService;

    public CommonResult<List<MachineInfo>> list(){
        return CommonResult.success(machineInfoService.list());
    }
}
